Bug 226845 - ftp/curl: fix build with libressl-devel
Summary: ftp/curl: fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://github.com/curl/curl/pull/2447
Keywords:
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-22 13:41 UTC by Piotr Kubaj
Modified: 2018-04-02 18:02 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch (1.67 KB, patch)
2018-03-22 13:41 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-03-22 13:41:45 UTC
Created attachment 191734 [details]
patch

LibreSSL 2.7.0 brought new API's which is incompatible with LibreSSL 2.6. Here's a patch (taken from OpenBSD ports: https://github.com/openbsd/ports/blob/master/net/curl/patches/patch-lib_vtls_openssl_c) which fixes this problem in curl.

Builds fine with LibreSSL 2.6.4, LibreSSL 2.7.0 and OpenSSL 1.0.1u from base on 10.4-RELEASE.
Comment 1 commit-hook freebsd_committer 2018-03-24 21:13:12 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Mar 24 21:12:24 UTC 2018
New revision: 465485
URL: https://svnweb.freebsd.org/changeset/ports/465485

Log:
  Fix build with LibreSSL 2.7

  Obtained from:	https://github.com/openbsd/ports/blob/master/net/curl/patches/patch-lib_vtls_openssl_c
  PR:		226845
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  MFH:		2018Q1

Changes:
  head/ftp/curl/files/patch-lib-vtls-openssl.c
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-24 21:23:35 UTC
Committed. Thanks!
Comment 3 Bernard Spil freebsd_committer 2018-04-02 18:02:49 UTC
For reference, upstream pull-request
https://github.com/curl/curl/pull/2447